Page MenuHomePhabricator

Prepare CI for MediaWiki REL1_28
Closed, ResolvedPublic

Description

Need the CI configuration to be adjusted for the MediaWiki REL1_28 branch which is to be cut next (?) week.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2016, 4:25 PM

@hashar REL1_28 is being cut and yes it is being cut this week :).

hashar renamed this task from Prepare CI for MediaWiki REL1_29 to Prepare CI for MediaWiki REL1_28.Oct 25 2016, 10:29 PM
hashar updated the task description. (Show Details)

Change 317999 had a related patch set uploaded (by Hashar):
REL1_28: adjust DonationInterface

https://gerrit.wikimedia.org/r/317999

Change 318002 had a related patch set uploaded (by Hashar):
REL1_28: skip mwext-MobileFrontend-npm-run-lint-modules

https://gerrit.wikimedia.org/r/318002

Change 318005 had a related patch set uploaded (by Hashar):
REL1_28: drop references to no more supported releases

https://gerrit.wikimedia.org/r/318005

hashar triaged this task as High priority.
hashar moved this task from Backlog to In progress on the Continuous-Integration-Config board.
hashar moved this task from INBOX to In-progress on the Release-Engineering-Team board.

Pretty straightforward. A single job depends on the version (DonationInterface) and rest is mostly about clearing out regex. Gotta review that and land them :]

Change 317999 merged by jenkins-bot:
REL1_28: adjust DonationInterface

https://gerrit.wikimedia.org/r/317999

Change 318002 merged by jenkins-bot:
REL1_28: skip mwext-MobileFrontend-npm-run-lint-modules

https://gerrit.wikimedia.org/r/318002

Change 318005 merged by jenkins-bot:
REL1_28: drop references to no more supported releases

https://gerrit.wikimedia.org/r/318005

hashar closed this task as Resolved.Nov 3 2016, 1:09 PM